List loan applications
curl --request GET \
--url https://lender.sandbox.lerian.net/api/v1/loan-applications \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://lender.sandbox.lerian.net/api/v1/loan-applications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"amortizationSystem": "price",
"assignedOfficerId": "officer-xyz",
"borrowerId": "550e8400-e29b-41d4-a716-446655440002",
"createdAt": "2026-06-14T12:00:00Z",
"currency": "BRL",
"expectedDisbursementDate": "2026-06-14T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"loanProductVersionId": "550e8400-e29b-41d4-a716-446655440000",
"originationFront": "lender_direct",
"paymentPeriodicity": "monthly",
"previewJurisdictionCode": "BR",
"previewProfileVersion": "1.0.0",
"requestedInstallments": 24,
"requestedInterestRate": "0.00000100",
"requestedPrincipalAmount": "50000.00",
"status": "pending_approval",
"updatedAt": "2026-06-14T12:00:00Z",
"approvalDecision": {
"approvedAmount": "48000.00",
"decidedBy": "<string>",
"decisionAt": "2026-06-14T12:00:00Z",
"id": "9f1c2d3e-4b5a-6789-abcd-ef0123456789",
"note": "<string>"
},
"borrowerKind": "pessoaFisica",
"clientContractNumber": "CTR-2026-000123",
"disbursementEvent": {
"disbursedAt": "2026-06-14T12:00:00Z",
"grossRequestedAmount": "50000.00",
"id": "c3d4e5f6-a7b8-4901-acde-f01234567890",
"loanAccountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"netDeliveredAmount": "49500.00",
"originationFeeAmount": "130.00",
"profileVersion": "1.0.0",
"ledgerCorrelationId": "origination.disbursement:7c9e6679-7425-40de-944b-e07fc1f90ae7:disburse-2026-06-14-001"
},
"firstDueDate": "2026-07-14",
"loanAccountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"paymentRules": [
{
"fromInstallment": 1,
"kind": "interestOnly",
"toInstallment": 6,
"amount": "30000.00"
}
],
"previewScheduleSnapshotId": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"rejectionDecision": {
"decidedBy": "<string>",
"decisionAt": "2026-06-14T12:00:00Z",
"id": "b2c3d4e5-f6a7-4890-9bcd-ef0123456789",
"reason": "<string>"
},
"requestedInstallmentAmount": "300.00",
"requestedNetAmount": "10000.00",
"taxRegime": "brazilSimplesNacional",
"withdrawalDecision": {
"decidedBy": "<string>",
"decisionAt": "2026-06-14T12:00:00Z",
"id": "b2c3d4e5-f6a7-4890-9bcd-ef0123456789",
"reason": "<string>"
}
}
]
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List loan applications
Returns a page of loan applications for the caller’s tenant, newest first, optionally narrowed by status, loan product version, borrower, assigned officer, origination channel or client contract number.
GET
/
api
/
v1
/
loan-applications
List loan applications
curl --request GET \
--url https://lender.sandbox.lerian.net/api/v1/loan-applications \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://lender.sandbox.lerian.net/api/v1/loan-applications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"amortizationSystem": "price",
"assignedOfficerId": "officer-xyz",
"borrowerId": "550e8400-e29b-41d4-a716-446655440002",
"createdAt": "2026-06-14T12:00:00Z",
"currency": "BRL",
"expectedDisbursementDate": "2026-06-14T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"loanProductVersionId": "550e8400-e29b-41d4-a716-446655440000",
"originationFront": "lender_direct",
"paymentPeriodicity": "monthly",
"previewJurisdictionCode": "BR",
"previewProfileVersion": "1.0.0",
"requestedInstallments": 24,
"requestedInterestRate": "0.00000100",
"requestedPrincipalAmount": "50000.00",
"status": "pending_approval",
"updatedAt": "2026-06-14T12:00:00Z",
"approvalDecision": {
"approvedAmount": "48000.00",
"decidedBy": "<string>",
"decisionAt": "2026-06-14T12:00:00Z",
"id": "9f1c2d3e-4b5a-6789-abcd-ef0123456789",
"note": "<string>"
},
"borrowerKind": "pessoaFisica",
"clientContractNumber": "CTR-2026-000123",
"disbursementEvent": {
"disbursedAt": "2026-06-14T12:00:00Z",
"grossRequestedAmount": "50000.00",
"id": "c3d4e5f6-a7b8-4901-acde-f01234567890",
"loanAccountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"netDeliveredAmount": "49500.00",
"originationFeeAmount": "130.00",
"profileVersion": "1.0.0",
"ledgerCorrelationId": "origination.disbursement:7c9e6679-7425-40de-944b-e07fc1f90ae7:disburse-2026-06-14-001"
},
"firstDueDate": "2026-07-14",
"loanAccountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"paymentRules": [
{
"fromInstallment": 1,
"kind": "interestOnly",
"toInstallment": 6,
"amount": "30000.00"
}
],
"previewScheduleSnapshotId": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"rejectionDecision": {
"decidedBy": "<string>",
"decisionAt": "2026-06-14T12:00:00Z",
"id": "b2c3d4e5-f6a7-4890-9bcd-ef0123456789",
"reason": "<string>"
},
"requestedInstallmentAmount": "300.00",
"requestedNetAmount": "10000.00",
"taxRegime": "brazilSimplesNacional",
"withdrawalDecision": {
"decidedBy": "<string>",
"decisionAt": "2026-06-14T12:00:00Z",
"id": "b2c3d4e5-f6a7-4890-9bcd-ef0123456789",
"reason": "<string>"
}
}
]
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Parámetros de consulta
¿Esta página le ayudó?

